## ros-foxy-dynamixel-hardware-interface 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dynamixel_hardware_interface)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(dynamixel_sdk REQUIRED)
find_package(controller_interface REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(ros2_control REQUIRED)
find_package(realtime_tools REQUIRED)
find_package(Boost REQUIRED)

add_library(
  dynamixel_hardware_interface
  SHARED
  src/dynamixel_hardware_interface.cpp
  src/motor_base.cpp
  src/util.cpp
)
target_include_directories(
  dynamixel_hardware_interface
  PRIVATE
  include
  ${Boost_INCLUDE_DIRS}
)
ament_target_dependencies(
  dynamixel_hardware_interface
  dynamixel_sdk
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
  realtime_tools
)

pluginlib_export_plugin_description_file(hardware_interface dynamixel_hardware_interface.xml)

add_library(
  dynamixel_diagnostic_controller
  SHARED
  src/dynamixel_diagnostic_controller.cpp
)
target_include_directories(
  dynamixel_diagnostic_controller
  PRIVATE
  include
  ${Boost_INCLUDE_DIRS}
)
ament_target_dependencies(
  dynamixel_diagnostic_controller
  dynamixel_sdk
  controller_interface
  pluginlib
  rclcpp
  ros2_control
  diagnostic_updater
  diagnostic_msgs
  realtime_tools
)
pluginlib_export_plugin_description_file(controller_interface dynamixel_diagnostic_controller.xml)

install(
  TARGETS dynamixel_hardware_interface dynamixel_diagnostic_controller
  DESTINATION lib
)
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  dynamixel_hardware_interface
  dynamixel_diagnostic_controller
)
ament_export_dependencies(
  dynamixel_sdk
  controller_interface
  hardware_interface
  pluginlib
  rclcpp
  ros2_control
)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== docs/requirements.txt ===
mkdocs
mkdocs-material
pymdown-extensions
fontawesome_markdown
markdown>=3.2.1
python-markdown-math
plantuml-markdown

=== debian/changelog ===
ros-foxy-dynamixel-hardware-interface (0.0.3-1focal) focal; urgency=high

  * Merge pull request #12 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/12> from OUXT-Polaris/fix/depends
    add boost to the depends
  * add boost to the depends
  * Contributors: Masaya Kataoka

 -- masaya <ms.kataoka@gmail.com>  Tue, 15 Jun 2021 15:00:00 -0000

ros-foxy-dynamixel-hardware-interface (0.0.1-1focal) focal; urgency=high

  * add realtime_tools to the depends
  * enable publish diag topic
  * add interface
  * enable parse params
  * add diagnostic updator
  * fix plugin setting
  * modifu cmakelist
  * modify configuration
  * add implementation of each function
  * add class definition
  * add source
  * Merge pull request #9 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/9> from OUXT-Polaris/feature/tempelature_interface
    Feature/tempelature interface
  * add tempelature interface
  * enable update temperature
  * remove unused lines
  * move some function
  * Merge pull request #8 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/8> from OUXT-Polaris/feature/velocity_interface
    Feature/velocity interface
  * apply reformat
  * modify controller
  * add interfaces
  * apply reformat
  * add exception
  * Merge pull request #7 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/7> from OUXT-Polaris/doc/readme
    add dos
  * add dos
  * Merge pull request #6 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/6> from OUXT-Polaris/feature/publish_joint_angle
    Feature/publish joint angle
  * Merge branch 'master' of https://github.com/OUXT-Polaris/dynamixel_hardware_interface into feature/publish_joint_angle
  * enable return toruqeEnable result
  * Merge pull request #5 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/5> from OUXT-Polaris/fix/document_generator_python_version
    update python version
  * update python version
  * Merge pull request #4 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/4> from OUXT-Polaris/feature/wx540-t260
    enable run torque enable while configure
  * apply reformat
  * enable run torque enable while configure
  * Merge pull request #3 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/3> from OUXT-Polaris/feature/wx540-t260
    Feature/wx540 t260
  * apply reformat
  * enable update goal position
  * update function order
  * update radianToPOsition functions
  * apply reformat
  * enable override function
  * fix byte size
  * add PacketByteSize field
  * add address class
  * enable get position from dynamixel
  * add error message
  * Merge pull request #2 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/2> from OUXT-Polaris/feature/document_generation
    Feature/document generation
  * update documentation
  * add description to the header file
  * change directory
  * apply reformat
  * add coments
  * update workflow
  * update workfloe
  * update workflow
  * add workflow
  * add new workflow
  * Merge pull request #1 <https://github.com/OUXT-Polaris/dynamixel_hardware_interface/issues/1> from OUXT-Polaris/workflow/foxy
    update CI workflow for foxy
  * applu reformat
  * Merge branch 'master' of https://github.com/OUXT-Polaris/dynamixel_hardware_interface into workflow/foxy
  * use clang-format
  * add licence file
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * chenge methods as virtual
  * add new rviz
  * rename launch
  * enable update joint states
  * add dummy mode
  * remove unused urdf
  * implement read function
  * apply reformat
  * apply reformat
  * apply reformat
  * comment out controllers
  * configure interface
  * rename morter
  * add launch files
  * enable error output
  * apply reformat
  * rename function
  * enable get command interfaces
  * add updateJointPosition function
  * implement export_state_interface function
  * add setGoalPosition function
  * enable torque
  * enable construct motor instance
  * add include gurad
  * update .gitignore
  * add interface class
  * initial commit
  * Contributors: Masaya Kataoka, robotx_buildfarm

 -- masaya <ms.kataoka@gmail.com>  Sat, 12 Jun 2021 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-dynamixel-hardware-interface
Section: misc
Priority: optional
Maintainer: masaya <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format, ros-foxy-ament-cmake-copyright, ros-foxy-ament-cmake-flake8, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-lint-cmake, ros-foxy-ament-cmake-pep257, ros-foxy-ament-cmake-xmllint, ros-foxy-ament-lint-auto, ros-foxy-controller-interface, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-dynamixel-sdk, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-realtime-tools, ros-foxy-robot-state-publisher, ros-foxy-ros2-control, ros-foxy-xacro, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-dynamixel-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-foxy-controller-interface, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-dynamixel-sdk, ros-foxy-hardware-interface, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-realtime-tools, ros-foxy-robot-state-publisher, ros-foxy-ros2-control, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Hardware Interface and controllers for dynamixel motors

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-dynamixel-hardware-interface//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
